### Function

# Pango get_log_attrs

#### Declaration [src]

    void
    pango_get_log_attrs (
      const char* text,
      int length,
      int level,
      PangoLanguage* language,
      PangoLogAttr* log_attrs,
      int attrs_len
    )

#### Description [src]

Computes a `PangoLogAttr` for each character in `text`.

The `log_attrs` array must have one `PangoLogAttr` for each position in `text`; if `text` contains N characters, it has N+1 positions, including the last position at the end of the text. `text` should be an entire paragraph; logical attributes can’t be computed without context (for example you need to see spaces on either side of a word to know the word is a word).

#### Parameters

`text` | `const char*`
| Text to process. Must be valid UTF-8
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| Length in bytes of `text`.
`level` | `int`
| Embedding level, or -1 if unknown.
`language` | `PangoLanguage`
| Language tag.
| The data is owned by the caller of the function.
`log_attrs` | An array of `PangoLogAttr`
| Array with one `PangoLogAttr` per character in `text`, plus one extra, to be filled in.
| The length of the array is specified in the `attrs_len` argument.
| The data is owned by the caller of the function.
`attrs_len` | `int`
| Length of `log_attrs` array.